Bug 1754361 - Request for Geany IDE for EPEL8
Summary: Request for Geany IDE for EPEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: geany
Version: epel8
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1787644 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-23 03:23 UTC by Ian Laurie
Modified: 2020-05-07 00:40 UTC (History)
7 users (show)

Fixed In Version: geany-1.36-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-07 00:40:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Ian Laurie 2019-09-23 03:23:56 UTC
Could you please make a version of Geany available for EPEL8 with basic themes and plugins?  In EPEL7 Geany is split across a number of packages.  Currently installed:

geany-plugins-common-1.31-4.el7.x86_64
geany-plugins-overview-1.31-4.el7.x86_64
geany-plugins-projectorganizer-1.31-4.el7.x86_64
geany-plugins-spellcheck-1.31-4.el7.x86_64
geany-plugins-shiftcolumn-1.31-4.el7.x86_64
geany-libgeany-1.31-3.el7.x86_64
geany-plugins-codenav-1.31-4.el7.x86_64
geany-themes-1.27-1.el7.noarch
geany-plugins-automark-1.31-4.el7.x86_64
geany-plugins-addons-1.31-4.el7.x86_64
geany-plugins-treebrowser-1.31-4.el7.x86_64
geany-1.31-3.el7.x86_64

EPEL would benefit from a lightweight/fast/capable IDE such as Geany.

Comment 1 Dominic Hopf 2020-01-05 12:39:19 UTC
*** Bug 1787644 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2020-04-08 20:34:06 UTC
FEDORA-EPEL-2020-5392d2e45e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5392d2e45e

Comment 3 Ian Laurie 2020-04-09 06:24:04 UTC
So far so good but I wasn't able to install geany-plugins-geanygendoc due to the error below (I don't use that plugin but for the purposes of testing I installed  more than I normally use).

Error: 
 Problem: conflicting requests
  - nothing provides python-docutils needed by geany-plugins-geanygendoc-1.36-1.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)


But overall it's looking really good though, thanks for the effort.

Comment 4 Fedora Update System 2020-04-09 20:53:55 UTC
FEDORA-EPEL-2020-5392d2e45e has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5392d2e45e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Dominic Hopf 2020-04-10 11:12:53 UTC
Thanks very much for noticing me Ian! Building a -4 release including a fix for this.

Comment 6 Fedora Update System 2020-04-10 12:02:03 UTC
FEDORA-EPEL-2020-5392d2e45e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5392d2e45e

Comment 7 Fedora Update System 2020-04-10 20:21:33 UTC
FEDORA-EPEL-2020-5392d2e45e has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5392d2e45e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Ian Laurie 2020-04-11 05:04:10 UTC
Plugins -4 build fixed the geany-plugins-geanygendoc issue for me.  

I now have all of the plugins loaded (unrealistic installation but done to help testing) except for geany-plugins-latex because I don't need it and the dependency payload is almost 450M.  Someone who can benefit from it needs to look at that one.  However from what I can tell it would have installed without any problem, see below.

zuko$ sudo dnf install geany-plugins-latex --enablerepo=epel-testing
Updating Subscription Management repositories.
Last metadata expiration check: 0:21:59 ago on Sat 11 Apr 2020 14:34:58 AEST.
Dependencies resolved.
========================================================================================================================
 Package                                 Arch       Version                  Repository                            Size
========================================================================================================================
Installing:
 geany-plugins-latex                     x86_64     1.36-4.el8               epel-testing                         627 k
Installing dependencies:
 perl-open                               noarch     1.11-416.el8             rhel-8-for-x86_64-appstream-rpms      77 k

. . . [snip]

I'll be messing with Geany a lot in the coming week, but I think if I find anything wrong it would be a generic issue applying to all builds, so I think we can close this one.  A great result.

Comment 9 Fedora Update System 2020-05-07 00:40:32 UTC
FEDORA-EPEL-2020-5392d2e45e has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.